/*
 * Copyright (c) 2010-2012, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

package com.oracle.xyzzyx.jdi;

import com.sun.jdi.PrimitiveValue;

/**
 *
 */
public class XyzzyxJDIPrimitiveValue extends XyzzyxJDIValue implements PrimitiveValue {
    public XyzzyxJDIPrimitiveValue(XyzzyxJDIVirtualMachine xyzzyxvm, PrimitiveValue underlying) {
        super(xyzzyxvm, underlying);
    }

    @Override
    public boolean booleanValue() {
        return underlying().booleanValue();
    }

    @Override
    public byte byteValue() {
        return underlying().byteValue();
    }

    @Override
    public char charValue() {
        return underlying().charValue();
    }

    @Override
    public double doubleValue() {
        return underlying().doubleValue();
    }

    @Override
    public float floatValue() {
        return underlying().floatValue();
    }

    @Override
    public int intValue() {
        return underlying().intValue();
    }

    @Override
    public long longValue() {
        return underlying().longValue();
    }

    @Override
    public short shortValue() {
        return underlying().shortValue();
    }

    @Override
    protected PrimitiveValue underlying() {
        return (PrimitiveValue) super.underlying();
    }
}
