/*
 * Copyright (c) 2010-2012, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

package com.oracle.xyzzyx.jdi;

import com.sun.jdi.ReferenceType;
import com.sun.jdi.TypeComponent;

/**
 *
 */
public class XyzzyxJDITypeComponent extends XyzzyxJDIMirror implements TypeComponent {
    public XyzzyxJDITypeComponent(XyzzyxJDIVirtualMachine xyzzyxvm, TypeComponent underlying) {
        super(xyzzyxvm, underlying);
    }

    @Override
    public XyzzyxJDIReferenceType declaringType() {
        return XyzzyxJDIWrapper.wrap(virtualMachine(), underlying().declaringType());
    }

    @Override
    public String genericSignature() {
        return underlying().genericSignature();
    }

    @Override
    public boolean isFinal() {
        return underlying().isFinal();
    }

    @Override
    public boolean isStatic() {
        return underlying().isStatic();
    }

    @Override
    public boolean isSynthetic() {
        return underlying().isSynthetic();
    }

    @Override
    public String name() {
        return underlying().name();
    }

    @Override
    public String signature() {
        return underlying().signature();
    }

    @Override
    public boolean isPackagePrivate() {
        return underlying().isPackagePrivate();
    }

    @Override
    public boolean isPrivate() {
        return underlying().isPrivate();
    }

    @Override
    public boolean isProtected() {
        return underlying().isProtected();
    }

    @Override
    public boolean isPublic() {
        return underlying().isPublic();
    }

    @Override
    public int modifiers() {
        return underlying().modifiers();
    }

    @Override
    protected TypeComponent underlying() {
        return (TypeComponent) super.underlying();
    }
}
