/*
 * Copyright (c) 2010-2012, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied this code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 *
 * Please contact Oracle, 500 Oracle Parkway, Redwood Shores, CA 94065 USA
 * or visit www.oracle.com if you need additional information or have any
 * questions.
 */

package com.oracle.xyzzyx.tools.debug.tty;

import com.sun.jdi.event.BreakpointEvent;
import com.sun.jdi.event.ClassPrepareEvent;
import com.sun.jdi.event.ClassUnloadEvent;
import com.sun.jdi.event.Event;
import com.sun.jdi.event.ExceptionEvent;
import com.sun.jdi.event.MethodEntryEvent;
import com.sun.jdi.event.MethodExitEvent;
import com.sun.jdi.event.StepEvent;
import com.sun.jdi.event.ThreadDeathEvent;
import com.sun.jdi.event.ThreadStartEvent;
import com.sun.jdi.event.VMDeathEvent;
import com.sun.jdi.event.VMDisconnectEvent;
import com.sun.jdi.event.VMStartEvent;
import com.sun.jdi.event.WatchpointEvent;

/**
 *
 */
public class EventNotifierAdapter implements EventNotifier {
    private boolean shouldRemoveListener = false;
    public void removeThisListener() {
        shouldRemoveListener = true;
    }

    @Override
    public boolean shouldRemoveListener() {
        return shouldRemoveListener;
    }

    @Override
    public void breakpointEvent(BreakpointEvent e) {
    }

    @Override
    public void classPrepareEvent(ClassPrepareEvent e) {
    }

    @Override
    public void classUnloadEvent(ClassUnloadEvent e) {
    }

    @Override
    public void exceptionEvent(ExceptionEvent e) {
    }

    @Override
    public void fieldWatchEvent(WatchpointEvent e) {
    }

    @Override
    public void methodEntryEvent(MethodEntryEvent e) {
    }

    @Override
    public boolean methodExitEvent(MethodExitEvent e) {
        return true;
    }

    @Override
    public void receivedEvent(Event event) {
    }

    @Override
    public void stepEvent(StepEvent e) {
    }

    @Override
    public void threadDeathEvent(ThreadDeathEvent e) {
    }

    @Override
    public void threadStartEvent(ThreadStartEvent e) {
    }

    @Override
    public void vmDeathEvent(VMDeathEvent e) {
    }

    @Override
    public void vmDisconnectEvent(VMDisconnectEvent e) {
    }

    @Override
    public void vmInterrupted() {
    }

    @Override
    public void vmStartEvent(VMStartEvent e) {
    }
}